OpenTTD Source: CYapfOriginRegionT< Types > Class Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Protected Member Functions | Private Attributes
CYapfOriginRegionT< Types > Class Template Reference

YAPF origin for water regions. More...

## Public Types
typedef Types::Tpf | Tpf
| The pathfinder class (derived from THIS class).
typedef Types::NodeList::Item | Node
| This will be our node type.
typedef Node::Key | Key
| Key to hash tables.

## Public Member Functions
void | AddOrigin (const WaterRegionPatchDesc &water_region_patch)
bool | HasOrigin (const WaterRegionPatchDesc &water_region_patch)
void | PfSetStartupNodes ()

## Protected Member Functions
Tpf & | Yapf ()

## Private Attributes
std::vector< CYapfRegionPatchNodeKey > | origin_keys

## Detailed Description

template<class Types>
class CYapfOriginRegionT< Types >

YAPF origin for water regions.

Definition at line 76 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfOriginRegionT< Types >::Key

Key to hash tables.

Definition at line 81 of file yapf_ship_regions.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfOriginRegionT< Types >::Node

This will be our node type.

Definition at line 80 of file yapf_ship_regions.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfOriginRegionT< Types >::Tpf

The pathfinder class (derived from THIS class).

Definition at line 79 of file yapf_ship_regions.cpp.

## Member Function Documentation

## ◆ AddOrigin()

template<class Types >

void CYapfOriginRegionT< Types >::AddOrigin | ( | const WaterRegionPatchDesc & | water_region_patch | ) |
| inline

Definition at line 90 of file yapf_ship_regions.cpp.

## ◆ HasOrigin()

template<class Types >

bool CYapfOriginRegionT< Types >::HasOrigin | ( | const WaterRegionPatchDesc & | water_region_patch | ) |
| inline

Definition at line 96 of file yapf_ship_regions.cpp.

## ◆ PfSetStartupNodes()

template<class Types >

void CYapfOriginRegionT< Types >::PfSetStartupNodes | ( |  | ) |
| inline

Definition at line 101 of file yapf_ship_regions.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfOriginRegionT< Types >::Yapf | ( |  | ) |
| inlineprotected

Definition at line 84 of file yapf_ship_regions.cpp.

## Field Documentation

## ◆ origin_keys

template<class Types >

std::vector<CYapfRegionPatchNodeKey> CYapfOriginRegionT< Types >::origin_keys
| private

Definition at line 87 of file yapf_ship_regions.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp